function [] = init_parameters()

global general_parameters well_parameters constraints

% General parameters
R = 8.3145;
g = 9.81;
T = 350;
p_m = 5e6;
p_r = 25e6;
M_g = 0.0195;
rho_o = 930;
rho_w = 1030;
A_a = 0.02;
A_t = 0.012;
C = 0.8;
C_pc = 0.0016;
C_iv = 0.00016;

general_parameters = [R g T p_m p_r M_g rho_o rho_w A_a A_t C C_pc C_iv]';

% Well specific parameters
V_a   = [ 30      30      25      30      25      30      30    ];  
V_t   = [ 18      18      15      18      15      18      18    ];
L_w   = [400     400     800     600     500     600     800    ];
r_wc  = [  0.4     0.7     0.2     0.5     0.6     0.8     0.3  ];
r_gor = [  0.08    0.07    0.07    0.09    0.06    0.08    0.10 ];
Q_max = [  0.025   0.050   0.035   0.100   0.020   0.015   0.005];


well_parameters = [V_a; V_t; L_w; r_wc; r_gor; Q_max];

% Setting constraints:
% [Gas, liquid, water, gaslift]
% Gas, liquid and water is given per flowline, 
% gaslift is the total sum
% Units: [Sm3/day bpd bpd Sm3/day]
constraints = [500000 30000 15000 500000]'; 

end

