function routing = base_case_routing(well_numbers)
% Function to find the best routing based on potential production
%   from each well, calculated based on the well parameters r_wc, r_gor and
%   Q_max



%well parameters
n = length(well_numbers);
global well_parameters
init_parameters
parameters = well_parameters(4:6,well_numbers);
% r_wc  = [  0.4     0.7     0.2     0.5     0.6     0.8     0.3  ];
% r_gor = [  0.08    0.07    0.07    0.09    0.06    0.08    0.10 ];
% Q_max = [  0.025   0.050   0.035   0.100   0.020   0.015   0.005];

% Brute force minimization search
min = Inf;
rout = gen_rout_mat(n);
for i  = 1:size(rout,1)
    routing = rout(i,:);
    prod = zeros(4,2);
    for j = 1:n
        wc = parameters(1,j);
        gor = parameters(2,j);
        qmax = parameters(3,j);
        % Oil
        o = qmax*(1-wc);
        prod(1,routing(j)+1) = prod(1,routing(j)+1) + o;
        % Water
        w = qmax*wc;
        prod(2,routing(j)+1) = prod(2,routing(j)+1) + w;
        % Liquid
        prod(3,routing(j)+1) = prod(3,routing(j)+1) + qmax;
        % Gas
        prod(4,routing(j)+1) = prod(4,routing(j)+1) + 10*gor*o;
    end
    val = sum(abs(prod(:,1)-prod(:,2)));
    if val < min
        min = val;
        bestr = routing;
        bestprod = prod;
    end
end
routing = bestr;
%bestprod
%min
