function m_ss = ss_fun(u,ss_data)
u_pc = u(1);
u_gl = u(2);

xv = ss_data.u_pc;
yv = ss_data.u_gl;
m_ga = ss_data.m_ga;
m_gt = ss_data.m_gt;
m_lt = ss_data.m_lt;

m_ga_ss = ss_helpfun(u_pc,u_gl,m_ga,xv,yv);
m_gt_ss = ss_helpfun(u_pc,u_gl,m_gt,xv,yv);
m_lt_ss = ss_helpfun(u_pc,u_gl,m_lt,xv,yv);
m_ss = [m_ga_ss;m_gt_ss;m_lt_ss];
end

function z = ss_helpfun(x,y,F,xv,yv) 
xmin = xv(1);
xmax = xv(end);
dx = xv(2)-xv(1);
ymin = yv(1);
ymax = yv(end);
dy = yv(2)-yv(1);
if isnan(x) || isnan(y)
    z = NaN;
    return
elseif x<xmin || x>xmax || y<ymin || y>ymax
    %disp('Out of range: x y')
    %[x xmin xmax;y ymin ymax]
    z = 0;
    return
elseif x==xmax
    if y==ymax
        z = F(end);
        return
    end
    ixl = floor((x-xmin)/dx)+1;
    iyl = floor((y-ymin)/dy)+1;
    iyu = iyl + 1;
    z1 = F(ixl,iyl);
    z3 = F(ixl,iyu);
    yy = y/dy - iyl + 1;
    z = z1 + yy*(z3-z1);
    return
elseif y == ymax
    ixl = floor((x-xmin)/dx)+1;
    ixu = ixl + 1;
    iyl = floor((y-ymin)/dy)+1;
    z1 = F(ixl,iyl);
    z2 = F(ixu,iyl);
    xx = x/dx - ixl + 1;
    z = z1 + xx*(z2-z1);
    return
end

ixl = floor((x-xmin)/dx)+1;
ixu = ixl + 1;
iyl = floor((y-ymin)/dy)+1;
iyu = iyl + 1;

z1 = F(ixl,iyl);
z2 = F(ixu,iyl);
z3 = F(ixl,iyu);
z4 = F(ixu,iyu);

xx = x/dx - ixl + 1;
yy = y/dy - iyl + 1;

z5 = z1 + xx*(z2-z1);
z6 = z3 + xx*(z4-z3);

z = z5 + yy*(z6-z5);

end
