function obj = ss_obj_fun(z,well_numbers)
    global well_parameters ss_data;
    wells = well_parameters(:,well_numbers);

    % Initialize return value
    obj = 0;
    
    % Calculate total oil production
    for i = 1:length(z)/2
        wn = well_numbers(i);
        u = z(2*i-[1 0]);
        well = wells(:,i);
        ssd.u_pc = ss_data.u_pc;
        ssd.u_gl = ss_data.u_gl;
        ssd.m_ga = ss_data.m_ga(:,:,wn);
        ssd.m_gt = ss_data.m_gt(:,:,wn);
        ssd.m_lt = ss_data.m_lt(:,:,wn);        
        m_ss = ss_fun(u,ssd); % Using precalculated data
%         m_ss = steady_state(u,well); % Using static model     
        [~, y] = well_model(m_ss,u,well);
        w_lp = y(5);
        r_wc = well(4);
        % Update return value
        obj = obj + (1-r_wc)*w_lp;
    end
    obj = -obj;
end