%plot_stability_regions.m
regions = load('stability_regions');
regions = regions.data;
n = size(regions,2)/2;



spc = [
    0.00 0.25 0.50 0.75 0.90 1.00];
sgl = [
    0.00 0.01 0.01 0.01 0.07 0.19;
    0.00 0.01 0.01 0.01 0.01 0.01;
    0.00 0.01 0.01 0.01 0.01 0.01;
    0.00 0.01 0.01 0.01 0.01 0.01;
    0.00 0.01 0.04 0.22 0.29 0.36;
    0.00 0.15 0.41 0.55 0.60 0.63;
    0.00 0.15 0.17 0.18 0.19 0.19;    
    ];


b =  [0.00  0.00  0.00  0.00  0.00  0.33  0.15]';
aa = [0.19  0.00  0.00  0.00  0.36  0.63  0.20]';
a = aa-b;

figure(6);
for i = 1:n
    subplot(2,4,i);
    hold off;
    plot(regions(:,2*i-1),regions(:,2*i));
    hold on;
    plot([0 1],[b(i) aa(i)],'c');
    plot(spc,sgl(i,:),'kx');
    axis([0 1 0 2.5]);
    xlabel('u_p_c [-]');
    ylabel('u_g_l [kg/s]');
    title(['Well ' int2str(i)])
    grid;
end
legend('Instability limit','Proposed linear limit','Stable points');
%    ,'Solution of optimization with constraints',...
%    'Solution of optimization without constraints'...


