clc;
global well_parameters;
init_parameters;

for well_number = 1:7
    filename = ['ss_data_well_' int2str(well_number) '.mat'];
%     ss_data = load(filename);
%     m_ga = ss_data.m_ga;
%     m_gt = ss_data.m_gt;
%     m_lt = ss_data.m_lt;
    well = well_parameters(:,well_number);
    u_pc = 0:0.02:1;
    u_gl = 0:0.05:6;
    n1 = length(u_pc);
    n2 = length(u_gl);
    m_ga = zeros(n1,n2);
    m_gt = zeros(n1,n2);
    m_lt = zeros(n1,n2);
    
    for i = 2:n1
        simulation = (well_number-1)*n1*n2 + (i-2)*n2 + 1
        of = n1*n2*7
        for j = 1:n2
            u = [u_pc(i) u_gl(j)]';
            m = steady_state(u,well);           
            m_ga(i,j) = m(1);
            m_gt(i,j) = m(2);
            m_lt(i,j) = m(3);
        end
    end
    % First row equals second row, first column equals second column
    % because m_ga_ss is not well-defined when u_pc = 0 or u_gl = 0
    ga_points = [0 1 4 5 5.5];
    for sb = 1:5;
        stepback = 6-sb;
        gl = ga_points(stepback);
        j = (gl/0.05:1:6/0.05)+1;
        m_ga(stepback,j) = 2*m_ga(stepback+1,j)-m_ga(stepback+2,j);
    end   
    m_ga(:,1) = 2*m_ga(:,2)-m_ga(:,3);
    
    gt_points = [
        0 2.5 4   5.5 6  ;
        0 2   4   6   6  ;
        0 2   4   6   6  ;
        0 0   0.5 2.5 4  ;
        0 1.5 4   6   6  ;
        0 1.5 3.5 6   6  ;
        0 1.5 3   4   5  ];
    for sb = 1:5;
        stepback = 6-sb;
        gl = gt_points(well_number,stepback);
        j = (gl/0.05:1:6/0.05)+1;
        m_gt(stepback,j) = 2*m_gt(stepback+1,j)-m_gt(stepback+2,j);
    end   
    m_gt(1,:) = 2*m_gt(2,:)-m_gt(3,:);
    
    m_lt(1,:) = 2*m_lt(2,:)-m_lt(3,:);
    
    m_ga = max(0,m_ga);
    m_gt = max(0,m_gt);
    m_lt = max(0,m_lt);
    % Save data
    save(filename,'u_pc','u_gl','m_ga','m_gt','m_lt');
end

disp('Finished!!!')