% init_ss_data.m
% File to load precalculated steady-state production data
% and store in a desired format in the global variable ss_data

global ss_data

filename = 'ss_data_well_1.mat';
ss_data = load(filename);
m_ga = ss_data.m_ga;
m_gt = ss_data.m_gt;
m_lt = ss_data.m_lt;
mga = zeros(size(m_ga,1),size(m_ga,2),7);
mga(:,:,1) = m_ga;
mgt = zeros(size(m_ga,1),size(m_ga,2),7);
mgt(:,:,1) = m_gt;
mlt = zeros(size(m_ga,1),size(m_ga,2),7);
mlt(:,:,1) = m_lt;


for i = 2:7
    filename = ['ss_data_well_' int2str(i) '.mat'];
    ssd = load(filename);
    m_ga = ssd.m_ga;
    m_gt = ssd.m_gt;
    m_lt = ssd.m_lt;
    mga(:,:,i) = m_ga;
    mgt(:,:,i) = m_gt;
    mlt(:,:,i) = m_lt;
end

ss_data.m_ga = mga;
ss_data.m_gt = mgt;
ss_data.m_lt = mlt;

