clc

global well_parameters;
init_parameters;
u_pc = 1;
u_gl_start = 1;
u_gl_end = 0.3;

% for well_number = 1:7 
well_number = 6; 
    well = well_parameters(:,well_number);
    u = [u_pc u_gl_start]';
    m0 = 0.9*[1718 490 3913];%steady_state(u,well);

    dt = 0.5;
    hours = 12;
    N = hours*3600/dt;
    m = zeros(3,N);
    meas = zeros(11,N);
    m(:,1) = m0;
    for i = 2:N/4-1
        [mdot measurements] = well_model(m(:,i-1),u,well);
        m(:,i) = m(:,i-1) + mdot*dt;
        meas(:,i-1) = measurements;
    end
    
    u = [u_pc u_gl_end]';
    for i = N/4:N
        [mdot measurements] = well_model(m(:,i-1),u,well);
        m(:,i) = m(:,i-1) + mdot*dt;
        meas(:,i-1) = measurements;
    end
    meas(:,N) = meas(:,N-1);
    t = 0:dt/3600:(N-1)*dt/3600;
    figure(7);
    %subplot(2,4,well_number);
    hold off;
    plot(t,m');
    grid;
    legend('m_g_a','m_g_t','m_l_t');
    title('States (masses)')
    ylabel('[kg]')
    xlabel('Time [hrs]')
    
    figure(8);
    plot(t,meas(1:4,:));
    grid;
    legend('p_p', 'p_t_i', 'p_b_h', 'p_a_i');
    title('Pressures')
    ylabel('[kPa]')
    xlabel('Time [hrs]')
    
    figure(9);
    plot(t,meas(5:9,:));
    grid;
    legend('w_l_p', 'w_g_p', 'w_l_r', 'w_g_r', 'w_g_i');
    title('Mass flows')
    ylabel('[kg/s]')
    xlabel('Time [hrs]')
    
    figure(10);
    plot(t,meas(10:11,:));
    grid;
    legend('rho_p', 'rho_g_i');
    title('Densities')
    ylabel('[kg/m^3]')
    xlabel('Time [hrs]')
% end



